<?php

namespace App\Policies;

use App\Models\Admin;
use App\Models\ProductCategory;
use Illuminate\Auth\Access\HandlesAuthorization;

class ProductCategoryPolicy
{
    use HandlesAuthorization;

    public function viewAny(Admin $admin): bool
    {
        return $admin->hasPermissionTo('view product categories');
    }

    public function view(Admin $admin, ProductCategory $productCategory): bool
    {
        return $admin->hasPermissionTo('view product categories');
    }

    public function create(Admin $admin): bool
    {
        return $admin->hasPermissionTo('create product categories');
    }

    public function update(Admin $admin, ProductCategory $productCategory): bool
    {
        return $admin->hasPermissionTo('update product categories');
    }

    public function delete(Admin $admin, ProductCategory $productCategory): bool
    {
        return $admin->hasPermissionTo('delete product categories');
    }

    /**
     * Determine whether the admin can update any product categories.
     */
    public function updateAny(Admin $admin): bool
    {
        return $admin->hasPermissionTo('update product categories');
    }

    /**
     * Determine whether the admin can delete any product categories.
     */
    public function deleteAny(Admin $admin): bool
    {
        return $admin->hasPermissionTo('delete product categories');
    }
}
